#
# spec file for package jimi
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define cvs_version 1_0
Name:           jimi
Version:        1.0
Release:        2.3
Summary:        Java imaging toolkit
License:        Sun Binary Code License
Group:          Development/Libraries/Java
Url:            http://java.sun.com/products/jimi/
Source0:        %{name}%{cvs_version}.zip
BuildRequires:  fdupes
BuildRequires:  java-devel
BuildRequires:  javapackages-tools
BuildRequires:  perl
BuildRequires:  unzip
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
JIMI Software Development Kit Jimi is a class library for managing
images. Its primary function is image I/O. Jimi was formerly a product
of Activated Intelligence. Sun is making it available for developers who
have code with dependencies on Jimi or for those who need image I/O
functionality in applications running under 1.1.x versions of the JavaTM
Platform. Jimi's range of supported formats includes GIF, JPEG, TIFF,
PNG, PICT, Photoshop, BMP, Targa, ICO, CUR, Sunraster, XBM, XPM, and
PCX, although some of these formats do not have complete support for all
features.

%package manual
Summary:        Manual for %{name}
Group:          Development/Libraries/Java
Recommends:     %{name} = %{version}

%description manual
Documentation for %{name}.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation
Recommends:     %{name} = %{version}

%description javadoc
Javadoc (HTML) for %{name}.

%package demo
Summary:        Demo for %{name}
Group:          Development/Libraries/Java
Requires:       %{name} = %{version}-%{release}

%description demo
Demonstrations and samples for %{name}.

%prep
%setup -q -n Jimi

# use jar archive
unzip -q JimiProClasses.zip
jar cf %{name}.jar com
# correct examples
find examples -name "*.bat" -exec rm -f {} ';'
for file in `find examples -name *.html`; do
  perl -pi -e 's/JimiProClasses\.jar/jimi.jar/' $file
done
for file in `find examples -name *.sh`; do
  perl -pi -e 's|\$CLASSPATH:[./:]*JimiProClasses\.zip[./:]*|\$CLASSPATH:%{_javadir}/jimi.jar:.|' $file
done

%build
echo

%install
# jars
mkdir -p %{buildroot}%{_javadir}
cp -p %{name}.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar
(cd %{buildroot}%{_javadir} && ln -sf %{name}-%{version}.jar %{name}.zip)
(cd %{buildroot}%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

# javadoc
mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr docs/html/api/* %{buildroot}%{_javadocdir}/%{name}
rm -rf docs/html/api

# data
mkdir -p %{buildroot}%{_datadir}/%{name}
cp -pr examples %{buildroot}%{_datadir}/%{name}

# permissions
chmod +x %{buildroot}%{_datadir}/%{name}/examples/*/*/*.sh
chmod +x %{buildroot}%{_datadir}/%{name}/examples/*/*.sh

# fdupes
%fdupes -s %{buildroot}%{_datadir}/%{name}/examples

%files
%defattr(0644,root,root,0755)
%doc License Readme
%{_javadir}/*

%files manual
%defattr(0644,root,root,0755)
%doc docs/html/*

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}

%files demo
%defattr(-,root,root,0755)
%{_datadir}/%{name}

%changelog
* Fri Jul 18 2014 tchvatal@suse.com
- Cleanup a bit with spec-cleaner
* Sun Feb  2 2014 badshah400@gmail.com
- For openSUSE >= 13.1 use BuildRequires: jpackage-utils to ensure
  jovadocdir has proper ownership.
  Mon May  5 00:00:00 CET 2003 - Ville Skyttä <ville.skytta at iki.fi> - 0:1.0-9jpp
- Fix non-versioned javadoc symlinking.
  Tue Apr 22 00:00:00 CET 2003 - Ville Skyttä <ville.skytta at iki.fi> - 0:1.0-8jpp
- Rebuild for JPackage 1.5.
- Include non-versioned javadoc symlink.
- Use sed instead of bash 2 extension when symlinking jars during build.
- Include experimental source fetching with lynx.
* Wed May 22 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net>
- vendor, distribution, group tags
* Tue Apr  2 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net>
- section macro
- nosrc package
* Wed Jan 16 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net>
- javadoc in %%%%{javadocdir} again
- backward compatibility jimi.zip symlink
* Sun Jan  6 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net>
- javadoc back to /usr/share/doc
- no dependencies for manual and javadoc packages
- stricter dependency for demo package
- javadoc package
- used original archive
- standardised summary
* Sun Dec 16 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net>
- javadoc in javadoc package
- spec cleanup
- on-the-fly substitution instead of patch
* Tue Nov 20 2001 Christian Zoffoli <czoffoli@littlepenguin.org>
- removed packager tag
- new jpp extension
* Fri Nov 16 2001 Christian Zoffoli <czoffoli@littlepenguin.org>
- first release
